#ifndef _ASYNCPICTUREBUTTON_H
#define _ASYNCPICTUREBUTTON_H

class AsyncPictureButton : public BPictureButton
{
	protected:
		thread_id	mousethread;

	public:
		AsyncPictureButton(BRect frame, const char* name,
      		BPicture *off,
			BPicture *on,
			BMessage *message,
			uint32 behavior = B_ONE_STATE_BUTTON,
			uint32 resizingMode = B_FOLLOW_NONE,
			uint32 flags = B_WILL_DRAW|B_NAVIGABLE);
		AsyncPictureButton(BMessage *archive);
		virtual ~AsyncPictureButton();


		virtual	void MouseDown(BPoint);
		static	long _mousetracker(void *arg);
				void _MouseTracker();
};

#endif
