
#ifndef _MBORDER_H
#define _MBORDER_H
#include "layout.h"

class MBorder :  public MView, public BView
{
	private:	ulong bordertype;
				ulong extraspacing;
				ulong extralabelspacing;
				char  *label;
				int	highlightmode;
				thread_id cycler;

	public:	bool drag_highlight;
			MBorder(ulong,ulong,char *name=NULL,MView *kid=NULL, bool show_drag=false);
			~MBorder();
			virtual	minimax	layoutprefs();
			virtual BRect	layout(BRect rect);
			virtual void	Draw(BRect);
			void			DrawBorder();
			void			SetHighlight(int);
			void			SetLabel(char *);
			char           *Label();
			static long		_cycler(void *arg);
			void			Cycler();
};


enum
{
	M_NO_BORDER,
	M_RAISED_BORDER,
	M_DEPRESSED_BORDER,
	M_LABELED_BORDER,
	M_ETCHED_BORDER
};
#endif
